# pims_analyzer

`pims_analyzer` is a utility that gathers metadata about a `pims_split` workflow
and outputs it as JSON. The purpose of this tool is to collect JSON data to use
in an email template for the DAs with more information about their jobs when
they complete. It is not meant to be called by hand, but by the final stage of
the `pims_split` workflow in Workspaces.

It collects the following information:
- The calibration requested
- The total number of splits
- The path to the restored ms (or reports if the restore failed)
- The path to the CASA version used for the job
- The full path to the lustre results directory
- The output cache directory
- The number of coarse cube and continuum products associated with each tile in the database
- The termination status of the job in Workspaces (e.g. Complete, Error, or Failed)
- The full list of failed splits
- The total number of failed splits

## Usage
```
Usage of ./pims_analyzer:
  -id int
        The ID of the PIMS split workflow in Workspaces (Required) (default -1)
  -profile string
        The CAPO profile to use, defaults to CAPO_PROFILE env variable
  -prop string
        [Optional] Path to the CAPO properties file, defaults to /home/casa/capo:/home/ssa/capo (default "/home/casa/capo:/home/ssa/capo")
```
