# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""add-delivery-results-to-capability-execution

Revision ID: 68d0883785b7
Revises: cb49c557f7e8
Create Date: 2021-04-12 10:30:16.482620

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "68d0883785b7"
down_revision = "cb49c557f7e8"
branch_labels = None
depends_on = None


def upgrade():
    op.add_column(
        "capability_executions",
        sa.Column("delivery_url", sa.String, comment="URL to the results, if possible"),
    )
    op.add_column(
        "capability_executions",
        sa.Column("delivery_path", sa.String, comment="Path to the results on disk"),
    )


def downgrade():
    op.drop_column("capability_executions", "delivery_url")
    op.drop_column("capability_executions", "delivery_path")
