# Copyright (C) 2023 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
#
"""update restore_cms envoy.sh's casa_envoy call

Revision ID: af0c227502f6
Revises: 84c6626eb6cd
Create Date: 2024-05-22 14:15:28.525341

"""
from pathlib import Path

import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "af0c227502f6"
down_revision = "84c6626eb6cd"
branch_labels = None
depends_on = None


def set_content(wf_name: str, filename: str) -> str:
    return (Path.cwd() / "versions" / "templates" / wf_name / filename).read_text()


def upgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("restore_cms", "envoy_sh_2.8.4.txt")}'
        WHERE filename='restore_cms_envoy.sh'
        """
    )


def downgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("restore_cms", "lustre_only_envoy_sh_2.7.txt")}'
        WHERE filename='restore_cms_envoy.sh'
        """
    )
